EZCart Docs
ApiV1StoreCategoriesBy slugSlug

Get a single category by its URL slug

Get a single category by its URL slug. Useful for storefront routing where URLs use slugs instead of IDs.

GET
/v1/store/categories/by-slug/{slug}

Path Parameters

slug*string

Response Body

application/json

curl -X GET "https://api-pub.ezcart.io/v1/store/categories/by-slug/string"
{
  "id": "string",
  "name": "string",
  "description": {},
  "slug": "string",
  "image": {},
  "level": 0,
  "parentId": {},
  "seo": {
    "metaTitle": {},
    "metaDescription": {},
    "ogImage": {}
  },
  "children": [
    {
      "id": "string",
      "name": "string",
      "description": {},
      "slug": "string",
      "image": {},
      "level": 0,
      "parentId": {},
      "seo": {
        "metaTitle": {},
        "metaDescription": {},
        "ogImage": {}
      },
      "children": [],
      "productCount": 0
    }
  ],
  "productCount": 0
}